Bug 155343 - ljet4d duplex don't do short edge flip (tumble)
ljet4d duplex don't do short edge flip (tumble)
Product: Fedora
Classification: Fedora
Component: foomatic (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Depends On:
  Show dependency treegraph
Reported: 2005-04-19 07:00 EDT by Sinan H
Modified: 2008-02-07 22:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-07 22:14:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
homemade ppd for PStoPCL on Xerox Workcentre Pro 423 (28.47 KB, text/plain)
2005-04-19 12:23 EDT, Sinan H
no flags Details

  None (edit)
Description Sinan H 2005-04-19 07:00:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Fedora/1.7.6-1.3.2

Description of problem:
I'm using a Xerox Workcentre pro 423.
There is no .ppd for this printer, so i'm stick with a generic/PCL.
when duplex printing, if using ljet4d driver, it always flips on long edge, even when short edge is chosen.
hpijs driver flips correctly on both long and short but is much slower than ljet4d for this printer.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.set duplex = shortedge (tumble) in driver config, or via kprinter etc...
2.print a multipage document
3.results are frustatingly duplex longedge

Actual Results:  results are frustatingly duplex longedge

Expected Results:  duplex shortedge

Additional info:

I managed to find a .ppd for this printer, but it is for the PS version  that you can get adding a module in the printer (I don't have that)
I experimented with it by changing foomaticRipCommand. same behaviour.
Comment 1 Tim Waugh 2005-04-19 11:34:46 EDT

Please save this attachment and copy it to:


Does this solve the problem?
Comment 2 Sinan H 2005-04-19 12:19:50 EDT
Well, I don't think it will, maybe I wasn't clear enough in my post: my printer
is not PS, it is a PCL. it CAN be turned into a PS by adding a hw module (quite
expensive), which I don't have.
When I was talking about the ppd, the file I've found is only for the PS version
of the printer, so  I added a foomaticRipCommandLine filter via ljet4d (or hpijs
in it) in it, see attached.
I ofcourse experimented with plain ljet4d and hpijs drivers before doing that...
Comment 3 Sinan H 2005-04-19 12:23:11 EDT
Created attachment 113369 [details]
homemade ppd for PStoPCL on Xerox Workcentre Pro 423

Just the original PPD for PS version of Xerox Workcentre Pro 423, with only
foomaticRIPCommandLine via ljet4d added
Comment 4 Tim Waugh 2005-04-25 10:35:58 EDT
Sorry about asking you to try the fixed Postscript.xml file -- if I'd read more
carefully I would have seen that you don't have PS hardware.

Okay, it looks like the ljet4d driver just doesn't support the Tumble parameter.
 This looks like a foomatic bug, since it seems to think that ljet4d does
support this parameter.
Comment 5 Tim Waugh 2005-04-25 10:38:45 EDT
Reported upstream.
Comment 6 Matthew Miller 2006-07-10 17:40:53 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 7 petrosyan 2008-02-07 22:14:02 EST
Fedora Core 3 is not maintained anymore.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.